
Redmine - Defect #27752

NoMethodError while creating an issue

2017-12-07 09:58 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.4.3

Description

Hello

Could you please help me, because I have an error when I want to create a bug on Redmine :

  CACHE (0.0ms)  SELECT  1 AS one FROM `attachments` WHERE `attachments`.`container_id` = 488 AND 

`attachments`.`container_type` = 'Issue' LIMIT 1  [["container_id", 488], ["container_type", "Issu

e"]]

  Rendered mailer/_issue.html.erb (4.4ms)

  Rendered mailer/issue_add.html.erb within layouts/mailer (6.9ms)

  Setting Load (1.0ms)  SELECT  `settings`.* FROM `settings` WHERE `settings`.`name` = 'cache_form

atted_text'  ORDER BY `settings`.`id` DESC LIMIT 1

   (2.6ms)  ROLLBACK

Completed 500 Internal Server Error in 635ms (ActiveRecord: 36.5ms)

NoMethodError (undefined method `error' for true:TrueClass):

  app/models/mailer.rb:497:in `initialize'

  config/initializers/10-patches.rb:163:in `deliver'

  app/models/mailer.rb:64:in `block in deliver_issue_add'

  app/models/issue.rb:1058:in `each_notification'

  app/models/mailer.rb:63:in `deliver_issue_add'

  app/models/issue.rb:1845:in `send_notification'

  app/models/issue.rb:210:in `create_or_update'

  app/controllers/issues_controller.rb:129:in `create'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2017-12-07 10:44 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from High to Normal

Please see submissions.

#2 - 2017-12-11 09:51 - Anonymous

Hi

Which feedback have you need?

Best regards

#3 - 2017-12-11 12:18 - Go MAEDA

- Subject changed from Error create bug to NoMethodError while creating an issue

- Description updated

#4 - 2017-12-11 12:23 - Go MAEDA

stephane clouaire wrote:

Which feedback have you need?

2025-05-17 1/4

https://www.redmine.org/projects/redmine/wiki/Submissions


 As you can read on Submissions page, could you describe the version of Redmine, Ruby, database and so on?

#5 - 2017-12-11 13:00 - Anonymous

Yes

I use the versions following :

MYSQL :5.7.20-0ubuntu0.16.04.1

RUBY : 1.2.3.0+1

Redmine : 3.4.3.stable

Best regards

#6 - 2017-12-11 14:49 - Toshi MARUYAMA

Do you use plugins?

stephane clouaire wrote:

RUBY : 1.2.3.0+1

 Is it package?

Recent Ruby 2.3 version is Ruby 2.3.5.

https://www.ruby-lang.org/en/news/2017/09/14/ruby-2-3-5-released/

#7 - 2017-12-12 10:15 - Anonymous

Hi

No I don't use plugins.

Best regards

#8 - 2017-12-12 10:16 - Anonymous

Do you want update ruby in version 2.3?

regards

#9 - 2017-12-12 10:17 - Anonymous

Sorry about Ruby I use these versions ::

ii  libruby2.3:amd64                     2.3.1-2~16.04.2                            amd64        Libraries necessary to run Ruby 2.3

ii  rake                                 10.5.0-2                                   all          ruby make-like utility

ii  ruby                                 1:2.3.0+1                                  all          Interpreter of object-oriented scripting language Ruby (default version)

ii  ruby-dev:amd64                       1:2.3.0+1                                  amd64        Header files for compiling extension modules for Ruby (default version)

ii  ruby-did-you-mean                    1.0.0-2                                    all          smart error messages for Ruby > 2.3

ii  ruby-minitest                        5.8.4-2                                    all          Ruby test tools supporting TDD, BDD, mocking, and benchmarking

ii  ruby-net-telnet                      0.1.1-2                                    all          telnet client library

ii  ruby-power-assert                    0.2.7-1                                    all          library showing values of variables and method calls in an expression

ii  ruby-rack                            1.6.4-3                                    all          modular Ruby webserver interface

ii  ruby-test-unit                       3.1.7-2                                    all          unit testing framework for Ruby

ii  ruby-zip                             1.1.7-1                                    amd64        Ruby module for reading and writing zip files

ii  ruby2.3                              2.3.1-2~16.04.2                            amd64        Interpreter of object-oriented scripting language Ruby

ii  ruby2.3-dev:amd64                    2.3.1-2~16.04.2                            amd64        Header files for compiling extension modules for the Ruby 2.3

ii  rubygems-integration                 1.10                                       all          integration of Debian Ruby packages with Rubygems

#10 - 2017-12-15 17:36 - Anonymous

Hi

Have you any update to help me?

Thanks

#11 - 2017-12-18 10:22 - Anonymous

root@vubredmine28156:/usr/local/redmine343# rake db:migrate RAILS_ENV=production

20171120120000 AddUpdatedOnToToken: migrating ============================

-- add_column(:tokens, :updated_on, :datetime)

rake aborted!

StandardError: An error has occurred, all later migrations canceled:
Mysql2::Error: Duplicate column name 'updated_on': ALTER TABLE `tokens` ADD `updated_on` datetime

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:120:in `_query'

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:120:in `block in query'

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:119:in `handle_interrupt'

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:119:in `query'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_mysql_adapter.rb:309:in `block in execute'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:484:in `block in log'

/var/lib/gems/2.3.0/gems/activesupport-4.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:478:in `log'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_mysql_adapter.rb:309:in `execute'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/mysql2_adapter.rb:225:in `execute'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/schema_statements.rb:407:in `add_column'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:665:in `block in method_missing'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:634:in `block in say_with_time'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:634:in `say_with_time'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:654:in `method_missing'

/usr/local/redmine343/db/migrate/20171120120000_add_updated_on_to_token.rb:3:in `change'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:608:in `exec_migration'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:592:in `block (2 levels) in migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:591:in `block in migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:292:in `with_connection'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:590:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:768:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:998:in `block in execute_migration_in_transaction'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:1046:in `ddl_transaction'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:997:in `execute_migration_in_transaction'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:959:in `block in migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:955:in `each'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:955:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:823:in `up'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:801:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/tasks/database_tasks.rb:137:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/railties/databases.rake:44:in `block (2 levels) in <top (required)>'

/var/lib/gems/2.3.0/gems/rake-12.2.1/exe/rake:27:in `<top (required)>'

Caused by:

ActiveRecord::StatementInvalid: Mysql2::Error: Duplicate column name 'updated_on': ALTER TABLE `tokens` ADD `updated_on` datetime

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:120:in `_query'

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:120:in `block in query'

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:119:in `handle_interrupt'

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:119:in `query'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_mysql_adapter.rb:309:in `block in execute'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:484:in `block in log'

/var/lib/gems/2.3.0/gems/activesupport-4.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:478:in `log'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_mysql_adapter.rb:309:in `execute'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/mysql2_adapter.rb:225:in `execute'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/schema_statements.rb:407:in `add_column'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:665:in `block in method_missing'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:634:in `block in say_with_time'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:634:in `say_with_time'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:654:in `method_missing'

/usr/local/redmine343/db/migrate/20171120120000_add_updated_on_to_token.rb:3:in `change'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:608:in `exec_migration'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:592:in `block (2 levels) in migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:591:in `block in migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:292:in `with_connection'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:590:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:768:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:998:in `block in execute_migration_in_transaction'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:1046:in `ddl_transaction'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:997:in `execute_migration_in_transaction'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:959:in `block in migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:955:in `each'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:955:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:823:in `up'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:801:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/tasks/database_tasks.rb:137:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/railties/databases.rake:44:in `block (2 levels) in <top (required)>'

/var/lib/gems/2.3.0/gems/rake-12.2.1/exe/rake:27:in `<top (required)>'

Caused by:

Mysql2::Error: Duplicate column name 'updated_on'

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:120:in `_query'

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:120:in `block in query'
/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:119:in `handle_interrupt'

/var/lib/gems/2.3.0/gems/mysql2-0.4.9/lib/mysql2/client.rb:119:in `query'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_mysql_adapter.rb:309:in `block in execute'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:484:in `block in log'

/var/lib/gems/2.3.0/gems/activesupport-4.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:478:in `log'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract_mysql_adapter.rb:309:in `execute'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/mysql2_adapter.rb:225:in `execute'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/schema_statements.rb:407:in `add_column'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:665:in `block in method_missing'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:634:in `block in say_with_time'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:634:in `say_with_time'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:654:in `method_missing'

/usr/local/redmine343/db/migrate/20171120120000_add_updated_on_to_token.rb:3:in `change'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:608:in `exec_migration'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:592:in `block (2 levels) in migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:591:in `block in migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:292:in `with_connection'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:590:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:768:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:998:in `block in execute_migration_in_transaction'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:1046:in `ddl_transaction'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:997:in `execute_migration_in_transaction'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:959:in `block in migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:955:in `each'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:955:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:823:in `up'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/migration.rb:801:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/tasks/database_tasks.rb:137:in `migrate'

/var/lib/gems/2.3.0/gems/activerecord-4.2.8/lib/active_record/railties/databases.rake:44:in `block (2 levels) in <top (required)>'

/var/lib/gems/2.3.0/gems/rake-12.2.1/exe/rake:27:in `<top (required)>'

Tasks: TOP => db:migrate

(See full trace by running task with --trace)

#12 - 2017-12-19 10:10 - Anonymous

Always error with notification :

Erreur lors de l'envoi de l'email (undefined method `error' for true:TrueClass)

Nobody to help me?

# Outgoing email settings

production:

  email_delivery:

  delivery_method: :smtp

  smtp_settings:

  address: 10.27.27.10

  port: 25

#13 - 2024-02-11 04:32 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce
